//------------------------------------------------------------------------------
// READ_FITS_HEADER
// 
//
int read_fits_header(char *hdr,Fits *fits) {
static char *headok[] = { 
    "SIMPLE  =                    T ",
    "XTENSION= 'IMAGE   '           " };
	char	s[2881],*p;
	int		i;
	
	// printf("%s\n",hdr);
		
	if (memcmp(hdr,headok[0],30) && memcmp(hdr,headok[1],30)) {
		return (-1);
	}
	
	s[23] = '\0';
	memcpy(s,hdr+  90,22);
	fits->bitpix  = atoi(s);
	memcpy(s,hdr+ 170,22);
	fits->naxis   = atoi(s);
	memcpy(s,hdr+ 250,22);
	fits->naxis1  = atoi(s);
	/* The following line added in rev. 140515 (FITS-comforming) */
	if (memcmp(hdr+320, "DATE ", 5)!=0) hdr += 160;	
	fits->year    = atoi(strtok(hdr+ 331,"-'"));
	fits->mon     = atoi(strtok(NULL,"-'"));
	fits->day     = atoi(strtok(NULL,"-'"));
	fits->hour    = atoi(strtok(hdr+ 411,":'"));
	fits->min     = atoi(strtok(NULL,":'"));
	fits->sec     = atoi(strtok(NULL,":'"));
	memcpy(s,hdr+ 490,22);
	fits->alt     = atof(s);
	memcpy(s,hdr+ 570,22);
	fits->lat     = atof(s);
	memcpy(s,hdr+ 650,22);
	fits->lon     = atof(s);
	strncpy(fits->recvr ,strtok(hdr+ 731,"'"),60);
	strncpy(fits->config,strtok(hdr+ 811,"'"),60);
	strncpy(fits->bloc  ,strtok(hdr+ 891,"'"),60);
	memcpy(s,hdr+ 970,22);
	fits->bangle  = atof(s);
	memcpy(s,hdr+1050,22);
	fits->power   = atof(s);
	memcpy(s,hdr+1130,22);
	fits->wave    = atof(s);
	memcpy(s,hdr+1210,22);
	fits->nbin0   = atoi(s);
	memcpy(s,hdr+1290,22);
	fits->bsize0  = atoi(s);
	memcpy(s,hdr+1370,22);
	fits->bstart0 = atoi(s);
	memcpy(s,hdr+1450,22);
	fits->nbin1   = atoi(s);
	memcpy(s,hdr+1530,22);
	fits->bsize1  = atoi(s);
	memcpy(s,hdr+1610,22);
	fits->bstart1 = atoi(s);
	
	for (i=0;i<50;i++) {
		if (i%5 == 0) {
			p = strtok(hdr+1691+16*i,"' ");
		} else {
			p = strtok(NULL,"' ");
		}
		if (p != NULL) fits->count[i]  = atoi(p);
		else return(1);
	}
	
	return (0);
}
